Loading...
Searching...
No Matches
juce::GlyphArrangementOptions Class Referencefinal

## Detailed Description

Options that can be used to affect the layout produced by GlyphArrangement::addFittedText.

See also
  GlyphArrangement::addFittedText

The documentation for this class was generated from the following file:

- juce_graphics/fonts/juce_GlyphArrangementOptions.h

## Public Member Functions

GlyphArrangementOptions | withLineSpacing (float x) const
| We increment the distance between the baselines of subsequent lines with this value.
GlyphArrangementOptions | withLineHeightMultiple (float x) const
| We multiply the original distance between the baselines of subsequent lines with this value.
const auto & | getLineSpacing () const
const auto & | getLineHeightMultiple () const
bool | operator== (const GlyphArrangementOptions &other) const
| Equality operator.
bool | operator!= (const GlyphArrangementOptions &other) const
| Inequality operator.
bool | operator< (const GlyphArrangementOptions &other) const
| Less-than operator.
bool | operator<= (const GlyphArrangementOptions &other) const
| Less-than-or-equal operator.
bool | operator> (const GlyphArrangementOptions &other) const
| Greater-than operator.
bool | operator>= (const GlyphArrangementOptions &other) const
| Greater-than-or-equal operator.

## Member Functions

## withLineSpacing()

GlyphArrangementOptions juce::GlyphArrangementOptions::withLineSpacing | ( | float | x | ) | const

inline nodiscard

We increment the distance between the baselines of subsequent lines with this value.

Line spacing is added below the line's descender, and doesn't affect the first line's baseline.

The total distance between baselines is lineHeight * lineHeightMultiple + lineSpacing.

References juce::withMember(), and x.

## withLineHeightMultiple()

GlyphArrangementOptions juce::GlyphArrangementOptions::withLineHeightMultiple | ( | float | x | ) | const

inline nodiscard

We multiply the original distance between the baselines of subsequent lines with this value.

The line height multiple is applied to both the ascender and descender, hence it affects the first line's baseline.

The total distance between baselines is lineHeight * lineHeightMultiple + lineSpacing.

References juce::withMember(), and x.

## getLineSpacing()

const auto & juce::GlyphArrangementOptions::getLineSpacing | ( |  | ) | const

inline

See also
  withLineSpacing()

## getLineHeightMultiple()

const auto & juce::GlyphArrangementOptions::getLineHeightMultiple | ( |  | ) | const

inline

See also
  withLineHeightMultiple()

## operator==()

bool juce::GlyphArrangementOptions::operator== | ( | const GlyphArrangementOptions & | other | ) | const

nodiscard

Equality operator.

## operator!=()

bool juce::GlyphArrangementOptions::operator!= | ( | const GlyphArrangementOptions & | other | ) | const

nodiscard

Inequality operator.

## operator<()

bool juce::GlyphArrangementOptions::operator< | ( | const GlyphArrangementOptions & | other | ) | const

nodiscard

Less-than operator.

Allows GlyphArrangementOptions to be used as keys in a map.

## operator<=()

bool juce::GlyphArrangementOptions::operator<= | ( | const GlyphArrangementOptions & | other | ) | const

nodiscard

Less-than-or-equal operator.

## operator>()

bool juce::GlyphArrangementOptions::operator> | ( | const GlyphArrangementOptions & | other | ) | const

nodiscard

Greater-than operator.

## operator>=()

bool juce::GlyphArrangementOptions::operator>= | ( | const GlyphArrangementOptions & | other | ) | const

nodiscard

Greater-than-or-equal operator.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited